USB_HCD_IRQ(9)

NAME
usb_hcd_irq - hook IRQs to HCD framework (bus glue)

SYNOPSIS

irqreturn_t usb_hcd_irq(int irq, void * __hcd);

ARGUMENTS

irq
    the IRQ being raised

__hcd
    pointer to the HCD whose IRQ is being signaled

DESCRIPTION

If the controller isn't HALTed, calls the driver's irq handler. Checks whether the controller is now dead.

RETURN

IRQ_HANDLED if the IRQ was handled. IRQ_NONE otherwise.

COPYRIGHT